package top.baogutang.admin.domain;

public class AppleInventoryPushDetails {
    private String title;
    private String body;
    private String level;
    private String badge;
    private String autoCopy;
    private String copy;
    private String sound;
    private String icon;
    private String group;
    private String isArchive;
    private String category;

    AppleInventoryPushDetails(String title, String body, String level, String badge, String autoCopy, String copy, String sound, String icon, String group, String isArchive, String category) {
        this.title = title;
        this.body = body;
        this.level = level;
        this.badge = badge;
        this.autoCopy = autoCopy;
        this.copy = copy;
        this.sound = sound;
        this.icon = icon;
        this.group = group;
        this.isArchive = isArchive;
        this.category = category;
    }

    public static PushDetailsBuilder builder() {
        return new PushDetailsBuilder();
    }

    public String getTitle() {
        return this.title;
    }

    public String getBody() {
        return this.body;
    }

    public String getLevel() {
        return this.level;
    }

    public String getBadge() {
        return this.badge;
    }

    public String getAutoCopy() {
        return this.autoCopy;
    }

    public String getCopy() {
        return this.copy;
    }

    public String getSound() {
        return this.sound;
    }

    public String getIcon() {
        return this.icon;
    }

    public String getGroup() {
        return this.group;
    }

    public String getIsArchive() {
        return this.isArchive;
    }

    public String getCategory() {
        return this.category;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public void setBody(String body) {
        this.body = body;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public void setBadge(String badge) {
        this.badge = badge;
    }

    public void setAutoCopy(String autoCopy) {
        this.autoCopy = autoCopy;
    }

    public void setCopy(String copy) {
        this.copy = copy;
    }

    public void setSound(String sound) {
        this.sound = sound;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public void setGroup(String group) {
        this.group = group;
    }

    public void setIsArchive(String isArchive) {
        this.isArchive = isArchive;
    }

    public void setCategory(String category) {
        this.category = category;
    }

    public boolean equals(Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof AppleInventoryPushDetails)) {
            return false;
        } else {
            AppleInventoryPushDetails other = (AppleInventoryPushDetails)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                label143: {
                    Object this$title = this.getTitle();
                    Object other$title = other.getTitle();
                    if (this$title == null) {
                        if (other$title == null) {
                            break label143;
                        }
                    } else if (this$title.equals(other$title)) {
                        break label143;
                    }

                    return false;
                }

                Object this$body = this.getBody();
                Object other$body = other.getBody();
                if (this$body == null) {
                    if (other$body != null) {
                        return false;
                    }
                } else if (!this$body.equals(other$body)) {
                    return false;
                }

                Object this$level = this.getLevel();
                Object other$level = other.getLevel();
                if (this$level == null) {
                    if (other$level != null) {
                        return false;
                    }
                } else if (!this$level.equals(other$level)) {
                    return false;
                }

                label122: {
                    Object this$badge = this.getBadge();
                    Object other$badge = other.getBadge();
                    if (this$badge == null) {
                        if (other$badge == null) {
                            break label122;
                        }
                    } else if (this$badge.equals(other$badge)) {
                        break label122;
                    }

                    return false;
                }

                label115: {
                    Object this$autoCopy = this.getAutoCopy();
                    Object other$autoCopy = other.getAutoCopy();
                    if (this$autoCopy == null) {
                        if (other$autoCopy == null) {
                            break label115;
                        }
                    } else if (this$autoCopy.equals(other$autoCopy)) {
                        break label115;
                    }

                    return false;
                }

                Object this$copy = this.getCopy();
                Object other$copy = other.getCopy();
                if (this$copy == null) {
                    if (other$copy != null) {
                        return false;
                    }
                } else if (!this$copy.equals(other$copy)) {
                    return false;
                }

                Object this$sound = this.getSound();
                Object other$sound = other.getSound();
                if (this$sound == null) {
                    if (other$sound != null) {
                        return false;
                    }
                } else if (!this$sound.equals(other$sound)) {
                    return false;
                }

                label94: {
                    Object this$icon = this.getIcon();
                    Object other$icon = other.getIcon();
                    if (this$icon == null) {
                        if (other$icon == null) {
                            break label94;
                        }
                    } else if (this$icon.equals(other$icon)) {
                        break label94;
                    }

                    return false;
                }

                label87: {
                    Object this$group = this.getGroup();
                    Object other$group = other.getGroup();
                    if (this$group == null) {
                        if (other$group == null) {
                            break label87;
                        }
                    } else if (this$group.equals(other$group)) {
                        break label87;
                    }

                    return false;
                }

                Object this$isArchive = this.getIsArchive();
                Object other$isArchive = other.getIsArchive();
                if (this$isArchive == null) {
                    if (other$isArchive != null) {
                        return false;
                    }
                } else if (!this$isArchive.equals(other$isArchive)) {
                    return false;
                }

                Object this$category = this.getCategory();
                Object other$category = other.getCategory();
                if (this$category == null) {
                    if (other$category != null) {
                        return false;
                    }
                } else if (!this$category.equals(other$category)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(Object other) {
        return other instanceof AppleInventoryPushDetails;
    }

    public int hashCode() {
        int result = 1;
        Object $title = this.getTitle();
        result = result * 59 + ($title == null ? 43 : $title.hashCode());
        Object $body = this.getBody();
        result = result * 59 + ($body == null ? 43 : $body.hashCode());
        Object $level = this.getLevel();
        result = result * 59 + ($level == null ? 43 : $level.hashCode());
        Object $badge = this.getBadge();
        result = result * 59 + ($badge == null ? 43 : $badge.hashCode());
        Object $autoCopy = this.getAutoCopy();
        result = result * 59 + ($autoCopy == null ? 43 : $autoCopy.hashCode());
        Object $copy = this.getCopy();
        result = result * 59 + ($copy == null ? 43 : $copy.hashCode());
        Object $sound = this.getSound();
        result = result * 59 + ($sound == null ? 43 : $sound.hashCode());
        Object $icon = this.getIcon();
        result = result * 59 + ($icon == null ? 43 : $icon.hashCode());
        Object $group = this.getGroup();
        result = result * 59 + ($group == null ? 43 : $group.hashCode());
        Object $isArchive = this.getIsArchive();
        result = result * 59 + ($isArchive == null ? 43 : $isArchive.hashCode());
        Object $category = this.getCategory();
        result = result * 59 + ($category == null ? 43 : $category.hashCode());
        return result;
    }

    public String toString() {
        String var10000 = this.getTitle();
        return "PushDetails(title=" + var10000 + ", body=" + this.getBody() + ", level=" + this.getLevel() + ", badge=" + this.getBadge() + ", autoCopy=" + this.getAutoCopy() + ", copy=" + this.getCopy() + ", sound=" + this.getSound() + ", icon=" + this.getIcon() + ", group=" + this.getGroup() + ", isArchive=" + this.getIsArchive() + ", category=" + this.getCategory() + ")";
    }

    public static class PushDetailsBuilder {
        private String title;
        private String body;
        private String level;
        private String badge;
        private String autoCopy;
        private String copy;
        private String sound;
        private String icon;
        private String group;
        private String isArchive;
        private String category;

        PushDetailsBuilder() {
        }

        public PushDetailsBuilder title(String title) {
            this.title = title;
            return this;
        }

        public PushDetailsBuilder body(String body) {
            this.body = body;
            return this;
        }

        public PushDetailsBuilder level(String level) {
            this.level = level;
            return this;
        }

        public PushDetailsBuilder badge(String badge) {
            this.badge = badge;
            return this;
        }

        public PushDetailsBuilder autoCopy(String autoCopy) {
            this.autoCopy = autoCopy;
            return this;
        }

        public PushDetailsBuilder copy(String copy) {
            this.copy = copy;
            return this;
        }

        public PushDetailsBuilder sound(String sound) {
            this.sound = sound;
            return this;
        }

        public PushDetailsBuilder icon(String icon) {
            this.icon = icon;
            return this;
        }

        public PushDetailsBuilder group(String group) {
            this.group = group;
            return this;
        }

        public PushDetailsBuilder isArchive(String isArchive) {
            this.isArchive = isArchive;
            return this;
        }

        public PushDetailsBuilder category(String category) {
            this.category = category;
            return this;
        }

        public AppleInventoryPushDetails build() {
            return new AppleInventoryPushDetails(this.title, this.body, this.level, this.badge, this.autoCopy, this.copy, this.sound, this.icon, this.group, this.isArchive, this.category);
        }

        public String toString() {
            return "PushDetails.PushDetailsBuilder(title=" + this.title + ", body=" + this.body + ", level=" + this.level + ", badge=" + this.badge + ", autoCopy=" + this.autoCopy + ", copy=" + this.copy + ", sound=" + this.sound + ", icon=" + this.icon + ", group=" + this.group + ", isArchive=" + this.isArchive + ", category=" + this.category + ")";
        }
    }
}